/* Microchip Technology Inc. and its subsidiaries.  You may use this software 
 * and any derivatives exclusively with Microchip products. 
 * 
 * THIS SOFTWARE IS SUPPLIED BY MICROCHIP "AS IS".  NO WARRANTIES, WHETHER 
 * EXPRESS, IMPLIED OR STATUTORY, APPLY TO THIS SOFTWARE, INCLUDING ANY IMPLIED 
 * WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY, AND FITNESS FOR A 
 * PARTICULAR PURPOSE, OR ITS INTERACTION WITH MICROCHIP PRODUCTS, COMBINATION 
 * WITH ANY OTHER PRODUCTS, OR USE IN ANY APPLICATION. 
 *
 * IN NO EVENT WILL MICROCHIP BE LIABLE FOR ANY INDIRECT, SPECIAL, PUNITIVE, 
 * INCIDENTAL OR CONSEQUENTIAL LOSS, DAMAGE, COST OR EXPENSE OF ANY KIND 
 * WHATSOEVER RELATED TO THE SOFTWARE, HOWEVER CAUSED, EVEN IF MICROCHIP HAS 
 * BEEN ADVISED OF THE POSSIBILITY OR THE DAMAGES ARE FORESEEABLE.  TO THE 
 * FULLEST EXTENT ALLOWED BY LAW, MICROCHIP'S TOTAL LIABILITY ON ALL CLAIMS 
 * IN ANY WAY RELATED TO THIS SOFTWARE WILL NOT EXCEED THE AMOUNT OF FEES, IF 
 * ANY, THAT YOU HAVE PAID DIRECTLY TO MICROCHIP FOR THIS SOFTWARE.
 *
 * MICROCHIP PROVIDES THIS SOFTWARE CONDITIONALLY UPON YOUR ACCEPTANCE OF THESE 
 * TERMS. 
 */

/**
 * @file    IBdbbPControl.h
 * @brief   Peripheral configuration template handler header file
 * @author  M91406
 */

// This is a guard condition so that contents of this file are not included
// more than once.  
#ifndef BDBB_CONVERTER_PERIPHERAL_CONFIGURATION_H
#define	BDBB_CONVERTER_PERIPHERAL_CONFIGURATION_H

/* ********************************************************************************
 * DEVICE CONTROL LOOP INSTANCE CONFIGURATION
 * *******************************************************************************/

#include "drv/svc_bdbb_loop_config.h" // include BDBB converter control loop configuration interface header file

/* ********************************************************************************
 * DEVICE CONTROL LOOP INSTANCE RUNTIME CONTROL
 * *******************************************************************************/

#include "drv/svc_bdbb_loop_control.h" // include BDBB converter control loop manipulaiton interface header file

/* ********************************************************************************
 * DEVICE GPIO INSTANCE CONFIGURATION
 * *******************************************************************************/

#include "drv/svc_bdbb_pcontrol_io.h" // include BDBB converter device GPIO manipulaiton interface header file

/* ********************************************************************************
 * HIGH SPEED PWM MODULE CONFIGURATION
 * *******************************************************************************/

#include "drv/svc_bdbb_pcontrol_pwm.h" // include BDBB converter device PWM manipulaiton interface header file

/* ********************************************************************************
 * HIGH SPEED ADC MODULE CONFIGURATION
 * *******************************************************************************/

#include "drv/svc_bdbb_pcontrol_adc.h" // include BDBB converter device ADC manipulaiton interface header file

/* ********************************************************************************
 * HIGH SPEED ANALOG COMPARATOR / DIGITAL-TO-ANALOG CONVERTER INSTANCE CONFIGURATION
 * *******************************************************************************/

#include "drv/svc_bdbb_pcontrol_dac.h" // include BDBB converter device DAC manipulaiton interface header file

/* ********************************************************************************
 * INDEPENDENT BDBB CONVERTER CONTROL FUNCTIONS
 * *******************************************************************************/

#include "drv/svc_bdbb_functions.h"  // include BDBB converter runtime functions interface header file


#endif	/* BDBB_CONVERTER_PERIPHERAL_CONFIGURATION_H */

// ______________________________________
// end of file
