# Library Usage Guidance {#bdbb-library-usage}

This code library repository must be included in an independent directory within the target project. Changes to any of the files of this repository in the target project environment can be pushed back to this library repository from where these changes can be distributed to one, more or all target projects this library has been used in. The upgrade of library files in a particular target project needs to be performed individually, allowing to individually manage the device driver version used.

#### Adding Subtree Repository

##### Step 1 - Adding Subtree Repository to Target Project

###### a) Using Sourcetree Application

Open *Sourcetree* Application

* Open menu *Repository* → *Repository Settings*
* Click *Add* to open the Add Repository dialog

Inside the Repository dialog

* Enter *Remote Name* `subrepo-bdbb`
* Enter clone URL/path https://bitbucket.microchip.com/scm/mcu16asmpsl/subrepo-bdbb-converter.git
* Under *Optional extended integration* → *Remote Account* select your user account
* Click *OK* to close the dialog

###### b) Using Git Bash

Open Git Bash at root of target project repository and use the following command for adding the new subtree remote:

* `$ git remote add subrepo-bdbb https://bitbucket.microchip.com/scm/mcu16asmpsl/subrepo-bdbb-converter.git`

##### Step 2) Cloning Subtree Repository

Further using Git Bash use the `subtree add` command to clone the contents of this code library into the target project

* `$ git subtree add --prefix=<code_library_target> subrepo-bdbb main --squash`

with `<code_library_target>` = path to sub-folder within the target project directory structure this code library should be cloned to (e.g. my_project.X/sources/power_control/devices).

#### 3) Pulling latest version from Library Repository

When a new version of this code library is available, you can pull it by using the `subtree pull` command in the Git Bash:

`$ git subtree pull --prefix=<code_library_target> subtree-bdbb main --squash`

with `<code_library_target>` = path to sub-folder within the target project directory structure this code library has been cloned to (e.g. my_project.X/sources/fault_handler/drivers).

#### 4) Pushing new version back to Library Repository

When changes have been made to files of this code library, the new version can be pushed back to the library repository by using the `subtree push` command in the Git Bash:

`$ git subtree push --prefix=<code_library_target> subtree-bdbb feature/version-update --squash`

with `<code_library_target>` = path to sub-folder within the target project directory structure this code library has been cloned to (e.g. my_project.X/sources/fault_handler/drivers).

<span style="color:red">
    <u><b>Note:</b></u><br>
    Pushing directly to the library project 'main' or 'develop' branches may be prohibited. 
    Hence, <i><u><b>changes can only be pushed to feature branches</b></u></i>. A Pull Request is required to review and merge changes to 'develop'. Once changes have been approved and merged int 'develop', they may be merged into branch 'main' and thus released as new version through another pull request. This new version of 'main' can be tagged with a new version number and pulled into target projects.
</span>


<br>&nbsp;

<a href="#startDoc">back</a>

---

<span id="history"><a name="history"></a></span>

##### History

* 03/13/2020 v1.0 (M91406) Initial release
* 11/02/2020 v2.0 (M91406) Modular state machine with startup sub-states
* 12/21/2020 v2.1 (M91406) Added current sense calibration function extensions to state machine
* 02/03/2021 v2.2 (M91406) Modified voltage reference management during startup, ensuring user setting is always loaded correctly before voltage ramp-up
* 02/22/2021 v2.3 (M91406) Control loop anti-windup limiter minimum and maximum are both set as unsigned integer allowing individual singed/unsigned operations in assembler control routine
* 03/01/2021 v2.4 (M91406) Added support for alternate ADC input of dedicated ADC cores of dsPIC33CK/CH
* 05/22/2022 v3.0 (M91406) Bdbb converter data structure data fields upgrade switching to name labels to combined capital notions, added auto synchronous rectifier control, optimized shut-down performance and restructured state function distribution across files
* 08/07/20223 v3.2 (M91406) Bdbb converter data structure data fields upgrade introducing new device abstraction layer device pin object class, simplifying the BDBB data object and its configuration
