/* *********************************************************************************
 * PowerSmart(TM) Digital Control Library Designer, Version 0.9.14.683
 * *********************************************************************************
 * 2p2z controller function declarations and compensation filter coefficients
 * derived for following operating conditions:
 * *********************************************************************************
 *
 *  Controller Type:    2P2Z - Basic Current Mode Compensator
 *  Sampling Frequency: 450000 Hz
 *  Fixed Point Format: Q15
 *  Scaling Mode:       3 - Dual Bit-Shift Scaling
 *  Input Gain:         0.05
 *
 * *********************************************************************************
 * CGS Version:         3.0.10
 * CGS Date:            08/24/2021
 * *********************************************************************************
 * User:                M91406
 * Date/Time:           08/24/2021 22:03:24
 * ********************************************************************************/

// This is a guard condition so that contents of this file are not included
// more than once.
#ifndef __SPECIAL_FUNCTION_LAYER_I_LOOP_MIRROR_H__
#define __SPECIAL_FUNCTION_LAYER_I_LOOP_MIRROR_H__

#include <xc.h>                                   // include processor files - each processor file is guarded
#include <dsp.h>                                  // include DSP data types (e.g. fractional)
#include <stdint.h>                               // include standard integer number data types
#include <stdbool.h>                              // include standard boolean data types (true/false)

#include "config/paths.h"                         // include common paths header file
#include NPNZ16B_HEADER                           // include NPNZ library header file

/* ********************************************************************************
 * @ingroup special-function-layer-npnz16-objects
 * @var     i_loop
 * @brief   External reference to user-defined NPNZ16b controller data object 'icomp'
 * *******************************************************************************/

// User-defined NPNZ16b_t controller data object array
//extern volatile NPNZ16b_t iComp[];   // user-controller data object
//extern volatile uint16_t  iComp_size; // Size of user-controller data object array

// Phase Multiplexing Initialization Function 
extern uint16_t iLoop_InitializeAll(IBdbbConverter_t* pcInstance);
extern uint16_t iLoop_Clone(volatile NPNZ16b_t* ptrSource, volatile NPNZ16b_t* ptrDest);


#endif  // end of __SPECIAL_FUNCTION_LAYER_I_LOOP_MIRROR_H__


//**********************************************************************************
// Download latest version of this tool here: https://www.microchip.com/powersmart/
//**********************************************************************************

