/* Microchip Technology Inc. and its subsidiaries.  You may use this software 
 * and any derivatives exclusively with Microchip products. 
 * 
 * THIS SOFTWARE IS SUPPLIED BY MICROCHIP "AS IS".  NO WARRANTIES, WHETHER 
 * EXPRESS, IMPLIED OR STATUTORY, APPLY TO THIS SOFTWARE, INCLUDING ANY IMPLIED 
 * WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY, AND FITNESS FOR A 
 * PARTICULAR PURPOSE, OR ITS INTERACTION WITH MICROCHIP PRODUCTS, COMBINATION 
 * WITH ANY OTHER PRODUCTS, OR USE IN ANY APPLICATION. 
 *
 * IN NO EVENT WILL MICROCHIP BE LIABLE FOR ANY INDIRECT, SPECIAL, PUNITIVE, 
 * INCIDENTAL OR CONSEQUENTIAL LOSS, DAMAGE, COST OR EXPENSE OF ANY KIND 
 * WHATSOEVER RELATED TO THE SOFTWARE, HOWEVER CAUSED, EVEN IF MICROCHIP HAS 
 * BEEN ADVISED OF THE POSSIBILITY OR THE DAMAGES ARE FORESEEABLE.  TO THE 
 * FULLEST EXTENT ALLOWED BY LAW, MICROCHIP'S TOTAL LIABILITY ON ALL CLAIMS 
 * IN ANY WAY RELATED TO THIS SOFTWARE WILL NOT EXCEED THE AMOUNT OF FEES, IF 
 * ANY, THAT YOU HAVE PAID DIRECTLY TO MICROCHIP FOR THIS SOFTWARE.
 *
 * MICROCHIP PROVIDES THIS SOFTWARE CONDITIONALLY UPON YOUR ACCEPTANCE OF THESE 
 * TERMS. 
 */

/**
 * @file    svc_bdbb_pcontrol_dac.h
 * @brief   Peripheral configuration template handler header file
 * @author  M91406
 */

// This is a guard condition so that contents of this file are not included
// more than once.  
#ifndef BDBB_CONVERTER_DAC_CONFIGURATION_H
#define	BDBB_CONVERTER_DAC_CONFIGURATION_H

#include <xc.h> // include processor files - each processor file is guarded.  
#include <stdint.h> // include standard integer data types
#include <stdbool.h> // include standard boolean data types
#include <stddef.h> // include standard definition data types

#include "../IBdbbConverter.h" // include data object interface header file

/* ********************************************************************************
 * HIGH SPEED ANALOG COMPARATOR / DIGITAL-TO-ANALOG CONVERTER INSTANCE CONFIGURATION
 * *******************************************************************************/

extern int BdbbDAC_ModuleInitialize(void);
extern int BdbbDAC_ChannelInitialize(IBdbbConverter_t* pcInstance);
extern int BdbbDAC_Start(IBdbbConverter_t* pcInstance);
extern int BdbbDAC_Stop(IBdbbConverter_t* pcInstance);
extern int BdbbDAC_Reset(IBdbbConverter_t* pcInstance);
extern int BdbbDAC_SetReference(IBdbbConverter_t* pcInstance, uint16_t refValue);
extern uint16_t BdbbDAC_GetReference(IBdbbConverter_t* pcInstance);

#endif  /* BDBB_CONVERTER_DAC_CONFIGURATION_H */

// ______________________________________
// end of file
