/**
 * @file    svc_bdbb_ptemp_dac.c
 * @brief   DAC peripheral configuration and management functions
 * @author  M91406
 */

#include "svc_bdbb_ptemp_dac.h" // include peripheral register configuration values header

/****************************************************************************************************
 * @ingroup lib-layer-bdbb-dac-templates
 * @brief   DAC module default configuration
 *****************************************************************************************************/
const P33C_DAC_MODULE_t bdbbDacModuleConfig = 
{
    .DACCTRL1L.value = REG_DACCTRL1L,         ///< DACCTRL1L: DAC CONTROL 1 LOW REGISTER
    .DACCTRL2L.value = DAC_TMODTIME_DEFAULT,  ///< DACCTRL2L: DAC CONTROL 2 LOW REGISTER
    .DACCTRL2H.value = DAC_SSTIME_DEFAULT     ///< DACCTRL2H: DAC CONTROL 2 HIGH REGISTER
};


/****************************************************************************************************
 * @ingroup lib-layer-bdbb-dac-templates
 * @brief   DAC generator default configuration
 *****************************************************************************************************/
const P33C_DAC_INSTANCE_t bdbbDacInstanceConfig = 
{
    .DACxCONL.value = REG_DACxCONL, ///< DACxCONL: DACx CONTROL LOW REGISTER
    .DACxCONH.value = REG_DACxCONH, ///< DACxCONH: DACx CONTROL HIGH REGISTER
    .DACxDATL.value = 0x0000,       ///< DACxDATL: DACx DATA LOW REGISTER
    .DACxDATH.value = 0x0000,       ///< DACxDATH: DACx DATA HIGH REGISTER
    .SLPxCONL.value = REG_SLPxCONL, ///< SLPxCONL: DACx SLOPE CONTROL LOW REGISTER
    .SLPxCONH.value = REG_SLPxCONH, ///< SLPxCONH: DACx SLOPE CONTROL HIGH REGISTER
    .SLPxDAT.value  = 0x0000        ///< SLPxCONL: DACx SLOPE CONTROL LOW REGISTER
};

// ______________________________________
// end of file
