/* Microchip Technology Inc. and its subsidiaries.  You may use this software 
 * and any derivatives exclusively with Microchip products. 
 * 
 * THIS SOFTWARE IS SUPPLIED BY MICROCHIP "AS IS".  NO WARRANTIES, WHETHER 
 * EXPRESS, IMPLIED OR STATUTORY, APPLY TO THIS SOFTWARE, INCLUDING ANY IMPLIED 
 * WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY, AND FITNESS FOR A 
 * PARTICULAR PURPOSE, OR ITS INTERACTION WITH MICROCHIP PRODUCTS, COMBINATION 
 * WITH ANY OTHER PRODUCTS, OR USE IN ANY APPLICATION. 
 *
 * IN NO EVENT WILL MICROCHIP BE LIABLE FOR ANY INDIRECT, SPECIAL, PUNITIVE, 
 * INCIDENTAL OR CONSEQUENTIAL LOSS, DAMAGE, COST OR EXPENSE OF ANY KIND 
 * WHATSOEVER RELATED TO THE SOFTWARE, HOWEVER CAUSED, EVEN IF MICROCHIP HAS 
 * BEEN ADVISED OF THE POSSIBILITY OR THE DAMAGES ARE FORESEEABLE.  TO THE 
 * FULLEST EXTENT ALLOWED BY LAW, MICROCHIP'S TOTAL LIABILITY ON ALL CLAIMS 
 * IN ANY WAY RELATED TO THIS SOFTWARE WILL NOT EXCEED THE AMOUNT OF FEES, IF 
 * ANY, THAT YOU HAVE PAID DIRECTLY TO MICROCHIP FOR THIS SOFTWARE.
 *
 * MICROCHIP PROVIDES THIS SOFTWARE CONDITIONALLY UPON YOUR ACCEPTANCE OF THESE 
 * TERMS. 
 */

/* 
 * @file    p33c_plib_uart_data_capture.h
 * @author  M15960
 * @brief   
 * @date    02/15/2023 
 */

#include <stdint.h> // include standard integer data types
#include <stdbool.h> // include standard boolean data types
#include <stddef.h> // include standard definition data types

// This is a guard condition so that contents of this file are not included
// more than once.  
#ifndef P33C_PLIB_UART_DATA_CAPTURE_H
#define	P33C_PLIB_UART_DATA_CAPTURE_H

struct PLIB33C_DATA_CAPTURE_ADDR_s 
{
    uint16_t size;
    uint8_t* dataAddr;

}__attribute ((packed));

typedef struct PLIB33C_DATA_CAPTURE_ADDR_s PLIB33C_DATA_CAPTURE_ADDR_t;


extern void plib33c_Uart_DataCapture(uint8_t* buffer, uint16_t startIndex, 
            PLIB33C_DATA_CAPTURE_ADDR_t dvArr[], uint16_t dvArrSize);

#endif	/* P33C_PLIB_UART_DATA_CAPTURE_H */

// ___________________________
// end of file
