
;------------------------------------------------------------------------------
;file start
    .nolist                 ; (no external dependencies)
    .list                   ; list of all external dependencies
    
;------------------------------------------------------------------------------
;local inclusions.
    .section .data          ; place constant data in the data section
    
;------------------------------------------------------------------------------
;global constants.
;	    struct DVPMT_s {
;	       volatile uint16_t size;
;	       uint16_t * address;
;	   }__attribute ((packed));
;	   typedef struct DVPMT_s DVPMT_t;

    
    ; temporary processing data
    .equ size,           0 ; 8bit size of the DVPMT
    .equ dataAddr,        2 ; address pointer of the DVPMT
;------------------------------------------------------------------------------
;source code section.
    .section .text          ; place code in the text section
 
;------------------------------------------------------------------------------
; Global function declaration
; This function calls the z-domain controller processing the latest data point input
;------------------------------------------------------------------------------
    .global _plib33c_Uart_DataCapture	; provide global scope to routine
    _plib33c_Uart_DataCapture:
    
; Save context
; w0 - sendBuff
; w1 - index    
; w2 - DVPMTArr
; w3 - DVPMY_NUM 
    push.s			; safe working registers WREG0 to WREG3
    push w4			; push register WREG4 to stack
    push w5			; push register WREG5 to stack
    push w6			; push register WREG6 to stack
    push w7			; push register WREG7 to stack
    push w8			; push register WREG8 to stack
    push w9			; push register WREG9 to stack
    
        
        dec w3, w3	            ; decrement by one the dvpmt_arr size
LOOP1:	do  w3, END1		    ; Initiate do loop (based on the dvpmt_arr size (DVPMT_NUM)) 
	mov [w2 + #size], w4	    ; load to WREG4 the dvpmt_arr size 
	cp0 w4			    ; test ehe WREG4, if the size is zero, exit this function
	bra Z, EXIT_DATA_CAPTURE
	dec w4, w4		    ; decrement the array size
	mov #0, w10		     ; initialize WREG10 as counter

LOOP2:	do w4, END2		    ; Initiate do loop based on address size
	mov [w2 + #dataAddr], w6     ; load the dvpmt address
	add w6, w10, w6
	mov.B [w6], w9		    ; access the data contained in the dvpmt address
	add w0, [w1], w6	    ; sendbuf address + index
	mov.B w9, [w6]		    ; transfer the dvpmt data to the sendbuffer	 
        inc [w1], [w1]                  ; increment sendbuffer index
END2:	inc w10,w10		    ; initialize WREG10 as counter
	
END1:	add w2, #4, w2		    ; increment the dvpmtarr by 4
	

    
EXIT_DATA_CAPTURE:
; Restore context in reverse order   
    pop w9			; pop register WREG9 from stack 
    pop w8			; pop register WREG8 from stack 
    pop w7			; pop register WREG7 from stack 
    pop w6			; pop register WREG6 from stack 
    pop w5			; pop register WREG5 from stack 
    pop w4			; pop register WREG4 from stack 
    pop.s
    
;End of routine
    return			; end of function; return to caller
;------------------------------------------------------------------------------
    
    
    .end                                            ; end of file data_capture.s
;------------------------------------------------------------------------------
; End of file    
    