/* Microchip Technology Inc. and its subsidiaries.  You may use this software 
 * and any derivatives exclusively with Microchip products. 
 * 
 * THIS SOFTWARE IS SUPPLIED BY MICROCHIP "AS IS".  NO WARRANTIES, WHETHER 
 * EXPRESS, IMPLIED OR STATUTORY, APPLY TO THIS SOFTWARE, INCLUDING ANY IMPLIED 
 * WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY, AND FITNESS FOR A 
 * PARTICULAR PURPOSE, OR ITS INTERACTION WITH MICROCHIP PRODUCTS, COMBINATION 
 * WITH ANY OTHER PRODUCTS, OR USE IN ANY APPLICATION. 
 *
 * IN NO EVENT WILL MICROCHIP BE LIABLE FOR ANY INDIRECT, SPECIAL, PUNITIVE, 
 * INCIDENTAL OR CONSEQUENTIAL LOSS, DAMAGE, COST OR EXPENSE OF ANY KIND 
 * WHATSOEVER RELATED TO THE SOFTWARE, HOWEVER CAUSED, EVEN IF MICROCHIP HAS 
 * BEEN ADVISED OF THE POSSIBILITY OR THE DAMAGES ARE FORESEEABLE.  TO THE 
 * FULLEST EXTENT ALLOWED BY LAW, MICROCHIP'S TOTAL LIABILITY ON ALL CLAIMS 
 * IN ANY WAY RELATED TO THIS SOFTWARE WILL NOT EXCEED THE AMOUNT OF FEES, IF 
 * ANY, THAT YOU HAVE PAID DIRECTLY TO MICROCHIP FOR THIS SOFTWARE.
 *
 * MICROCHIP PROVIDES THIS SOFTWARE CONDITIONALLY UPON YOUR ACCEPTANCE OF THESE 
 * TERMS. 
 */

/**
 * @file    paths.h
 * @brief   Wraps header files into generic expressions allowing cross-module declarations
 * @author  M91406
 * @date    07/08/2023
 */

// This is a guard condition so that contents of this file are not included
// more than once.  
#ifndef PROJECT_HEADER_FILE_LOCATIONS_H
#define	PROJECT_HEADER_FILE_LOCATIONS_H

#define APP_POWER_PATH  "apps/power_control/"
#define APP_FAULT_PATH  "apps/fault_monitor/"

#define NPNZ16B_HEADER  "apps/power_control/control/npnz16b.h"
#define VCOMP_HEADER    "apps/power_control/control/vComp.h"
#define ICOMP_HEADER    "apps/power_control/control/iComp.h"
#define HAL_HEADER      "config/hal.h"
#define APPS_HEADER     "config/apps.h"
#define RTOS_HEADER     "config/os.h"
#define USER_HEADER     "config/usercfg.h"

#endif	/* PROJECT_HEADER_FILE_LOCATIONS_H */

// _________________________
// end of file
