/*
 * @file    boot.c
 * @brief   Target device boot routines
 * @author  M91406
 * @date    06/18/2021
 * @version 1.0.6
 */

#ifndef OS_EXECUTION_INTERFACE_HEADER_H
#define	OS_EXECUTION_INTERFACE_HEADER_H

#include <stdint.h> // include standard integer data types
#include <stdbool.h> // include standard boolean data types

/* LIST DEFAULT SYSTEM COMPONENT INITIALIZATION MODULES */
extern int osDsp_Initialize(void); 
extern int osFosc_Initialize(void);
extern int osAclk_Initialize(void);
extern int osGpio_Initialize(void);
extern int osPmd_Initialize(void);
extern int osTimer_Initialize (void);
extern int osTimer_Enable (bool interruptEnable, uint8_t interruptPriority);

#endif /* OS_EXECUTION_INTERFACE_HEADER_H */

// __________________________
// end of file
