/* Microchip Technology Inc. and its subsidiaries.  You may use this software 
 * and any derivatives exclusively with Microchip products. 
 * 
 * THIS SOFTWARE IS SUPPLIED BY MICROCHIP "AS IS".  NO WARRANTIES, WHETHER 
 * EXPRESS, IMPLIED OR STATUTORY, APPLY TO THIS SOFTWARE, INCLUDING ANY IMPLIED 
 * WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY, AND FITNESS FOR A 
 * PARTICULAR PURPOSE, OR ITS INTERACTION WITH MICROCHIP PRODUCTS, COMBINATION 
 * WITH ANY OTHER PRODUCTS, OR USE IN ANY APPLICATION. 
 *
 * IN NO EVENT WILL MICROCHIP BE LIABLE FOR ANY INDIRECT, SPECIAL, PUNITIVE, 
 * INCIDENTAL OR CONSEQUENTIAL LOSS, DAMAGE, COST OR EXPENSE OF ANY KIND 
 * WHATSOEVER RELATED TO THE SOFTWARE, HOWEVER CAUSED, EVEN IF MICROCHIP HAS 
 * BEEN ADVISED OF THE POSSIBILITY OR THE DAMAGES ARE FORESEEABLE.  TO THE 
 * FULLEST EXTENT ALLOWED BY LAW, MICROCHIP'S TOTAL LIABILITY ON ALL CLAIMS 
 * IN ANY WAY RELATED TO THIS SOFTWARE WILL NOT EXCEED THE AMOUNT OF FEES, IF 
 * ANY, THAT YOU HAVE PAID DIRECTLY TO MICROCHIP FOR THIS SOFTWARE.
 *
 * MICROCHIP PROVIDES THIS SOFTWARE CONDITIONALLY UPON YOUR ACCEPTANCE OF THESE 
 * TERMS. 
 */

/* 
 * @file    interrupts.h
 * @author  M91406
 * @brief   Data type declarations for default interrupt handler
 * @date    01/12/2022
 */

// This is a guard condition so that contents of this file are not included
// more than once.  
#ifndef RTOS_INTERRUPT_EXCEPTION_TYPEDEF_H
#define	RTOS_INTERRUPT_EXCEPTION_TYPEDEF_H

#include <stdint.h> // include standard integer types header file

struct IRQ_EXCEPTION_s {
    uint16_t Group; ///< identifies the interrupt group which triggered the default interrupt event
    uint16_t Value; ///< identifies the value of the interrupt group, allowing to trace back the specific interrupt vector which triggered the default interrupt event
};
typedef struct IRQ_EXCEPTION_s IRQ_EXCEPTION_t;

#endif	/* RTOS_INTERRUPT_EXCEPTION_TYPEDEF_H */

// ________________________________
// end of file
